{% extends 'base.html.twig' %}

{% block body %}

    {% include 'componants/header.html.twig' %}

    <div class="container mt-3">
        <h3 class="mb-3">Liste des utilisateurs :</h3>
        <table class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Prénom</th>
                    <th>Nom</th>
                    <th>Email</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
            {% for user in users %}
                <tr>
                    <th scope="row">{{ user.id }}</th>
                    <td>{{ user.firstname }}</td>
                    <td>{{ user.lastname }}</td>
                    <td>{{ user.email }}</td>
                    <td>
                        <a href="{{ path('user_show', {'id': user.id}) }}" class="btn btn-outline-primary btn-sm">Voir</a>
                        <a href="{{ path('user_edit', {'id': user.id}) }}" class="btn btn-outline-warning btn-sm">Modifier</a>
                        {{ include('user/_delete_form.html.twig') }}
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="6">no records found</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}
